using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;


namespace Frilenseri
{
    class Program
    {
        static void Main(string[] args)
        {
            double zarada = 0, trenutno = 0;
            int suma = 0, suma1;
            int n = int.Parse(Console.ReadLine());                            
            int[] plata = new int[n];
            double[] posto = new double[n];
            for (int i = 0; i < n; i++)
            {

                string[] f = Console.ReadLine().Split(' ');
                plata[i] = int.Parse(f[0]);
                posto[i] = Double.Parse(f[1]);
                suma += plata[i];
                suma1 = suma;
                for(int j = 0; j < i; j++)
                {
                    if (posto[j] < posto[i])
                    {
                        suma1 -= plata[j];                      
                    }
                }
                trenutno = suma1 * (posto[i] / 100.0);
                if (trenutno > zarada) zarada = trenutno;
            }
            Console.WriteLine(zarada);
        }
    }
}